<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('listino_prezzi', function (Blueprint $table) {
            $table->id();
            $table->string('label'); //articolo o servizio
            $table->string('descrizione')->nullable(); //descrizione dell'articolo o servizio
            $table->string('tipo_dispositivo')->nullable(); // hardware, licenza, aux
            $table->decimal('prezzo', 10, 2)->nullable(); //prezzo dell'articolo o servizio
            $table->string('tipo_prezzo')->nullable(); //giornaliero, annuale, abbonamento,dedicata
            $table->string('note')->nullable(); //note dell'articolo o servizio
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('listino_prezzi');
    }
};
